HELP(5)

NAME
help - help file format

SYNOPSIS
/usr/lib/help/*

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION
Each SunView application using the help feature has a simple ASCII file in /usr/lib/help with the name application-name.info.

This file contains the text of help messages for each SunView object within that program. Each help message is separated in the file by a line beginning with a colon and identified by a keyword which matches the HELP_DATA attribute of the SunView object.

The first character of each line in the file may be:

    #    comment line
    :    keyword line
    any other    1-32 help text lines

If the line is a keyword line, it has the following structure—

    :keyword[s]:datastring [pagenumber]NEWLINE

keyword			is a 1-65 character keyword
				--any displayable characters may be used
				--several keywords may be present
				--keywords are separated by 1-or-more blanks

datastring		is 1-256 ASCII bytes, and describes the path of the data files for
			help_viewer, relative to /usr/lib/help.

pagenumber		is an optional page number within the help_viewer data file.

The help text which follows the :keyword line will be displayed in an Alert Box when help is requested for one of the keywords by pressing the help key.

The datastring will be sent (by RPC) to the help_viewer procedure when the user selects the More Help box in the Alert Box window.

EXAMPLE
Here is part of a typical help file, called mailtool.info.

:abort
   Abort button
o  Quits the Mail application (click
   left on button). Tentative message
   deletions do not become permanent.
o  Provides a menu of Abort options
   (click right on button).
:cancel:mailtool/Writing_and_Sending_Mail 1
   Cancel button
o  Closes the message composition
   window without sending message
   (click left on button).
o  Provides a menu of Cancel options
   (click right on button).

Pressing the help key while in the cancel or abort buttons triggers the display of the corresponding text. The words cancel and abort in this file are the keywords. In the case of abort, there is no More Help available. For cancel, More Help is available and it is stored in the first page of the Writing_and_Sending_Mail file in the mailtool directory.

FILES

/usr/lib/help/*
    files for the pop-up help facility

SEE ALSO
help_viewer(1), help_viewer(5)

Sun386i Developer's Guide